[OE-core] [PATCH v2] sstate.bbclass: update .siginfo atime

Ed Bartosh ed.bartosh at linux.intel.com
Mon Mar 6 17:50:10 UTC 2017


On Mon, Mar 06, 2017 at 04:49:25PM +0000, Burton, Ross wrote:
> On 6 March 2017 at 15:31, Ed Bartosh <ed.bartosh at linux.intel.com> wrote:
> 
> > +       [ -h ${SSTATE_PKG}.siginfo ] && touch -a ${SSTATE_PKG}.siginfo
> >
> 
> $ ( [ -h / ] && echo something ); echo $?
> 1
> 
> If the -h fails then this is still going to cause sstate_unpack_package to
> trap.

I don't think it will as '&&' and '||' lists are among other special cases where
shell doesn't exits on error.

Here is a proof:

$ cat test.sh

set -e

trap 'ouch!' ERR

foo() {
    [ -h /etc/fstab ] && echo 'fstab is a symlink'
    echo 'end of foo'
}

foo
echo $?

$ $ sh -e test.sh
end of foo
0


--
Regards,
Ed



More information about the Openembedded-core mailing list